
Infrastructure - Story #1315

add support for data writing to d1_client_r

2011-02-09 09:00 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_client_r Estimated time: 0.00 hour

Target version: Sprint-2011.07   

Story Points:    

Description

Subtasks:

Task # 1368: Write test for EML file upload via D1Client Closed

Task # 1362: Modify testing.R to convert a data frame to CSV to Java byte[] Closed

Task # 1361: Modify R client to use new libclient_java libs with D1Object.create() Closed

History

#1 - 2011-02-09 09:01 - Matthew Jones

- Position set to 3

- Target version set to Sprint-2011.06

- Position deleted (3)

#2 - 2011-02-14 18:16 - Matthew Jones

- Position deleted (12)

- Target version changed from Sprint-2011.06 to Sprint-2011.07

- Position set to 2

#3 - 2011-02-16 23:18 - Matthew Jones

- Category set to d1_client_r

- Assignee set to Matthew Jones

- Status changed from New to Closed

The dataone R package can now write both data files and metadata files to member nodes with proper system metadata.  This is a rudimentary first

pass, but marking as completed for now.  Separate stories will need to be filed for improving error checking, edge-case detection, access control, and

other extensions.
